<template>
  <app-user-page :breadcrumbs="breadcrumbs">
    <div v-loading="loading">
      <div class="row">
        <div class="col-sm-6">
          <bid-status-table :data="data" />
        </div>

        <div class="col-sm-6">
          <bid-success-table :data="data" />
        </div>
      </div>

      <div class="row">
        <div class="col-sm-12">
          <bid-confirmation-table :data="data" />
        </div>
      </div>
    </div>
  </app-user-page>
</template>

<script>
import AsyncLoading from '~/mixins/do-async-loading'

import BidStatusTable from '~/components/organisms/mypages/BidStatusTable'
import BidSuccessTable from '~/components/organisms/mypages/BidSuccessTable'
import BidConfirmationTable from '~/components/organisms/mypages/BidConfirmationTable'

export default {
  layout: 'user',

  components: {
    BidStatusTable,
    BidSuccessTable,
    BidConfirmationTable
  },

  mixins: [
    AsyncLoading
  ],

  data () {
    return {
      data: []
    }
  },

  computed: {
    /**
     * Generate breadcrumbs
     *
     * @return {array} List breadcrumbs
     */
    breadcrumbs () {
      return [
        {
          text: 'ホーム',
          to: '/'
        },
        {
          text: 'マイページ'
        }
      ]
    }
  },

  mounted () {
    this.fetch()
  },

  methods: {
    /**
     * Call API get bid list
     *
     */
    fetch () {
      this.$dam.getBidList()
        .then((res) => {
          if (Array.isArray(res.data) && res.data.length) {
            this.data = res.data
          }
        })
        .catch((err) => {
          console.error(err)
          this.$toast.error(
            this.$text.error('FAILED_TO_GET', { name: 'bids' })
          )
        })
    }

  }
}
</script>
